#
# spec file for package PackageKit (Version 0.5.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{suse_version} > 1110
%define xulrunner_version 191
%else
%define xulrunner_version 190
%endif

Name:           PackageKit
Version:        0.5.1
Release:        3.8.1
License:        GPLv2+
BuildRequires:  NetworkManager-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  docbook-utils
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libarchive-devel
BuildRequires:  libcppunit-devel
BuildRequires:  libqt4-devel
BuildRequires:  libzypp-devel
BuildRequires:  mozilla-xulrunner%{xulrunner_version}-devel
BuildRequires:  polkit-devel
BuildRequires:  python-devel
BuildRequires:  sqlite-devel
Group:          System/Daemons
Summary:        Simple software installation management software
Url:            http://packagekit.org/
Source:         %{name}-%{version}.tar.bz2
Patch:          PackageKit_release.patch
# PATCH-FEATURE-UPSTREAM PackageKit-BNC383261-suggest-daemon-quit.patch bnc383261
Patch1:         PackageKit-BNC383261-suggest-daemon-quit.patch
# PATCH-FIX-UPSTREAM PackageKit-libzypp6.patch fdo#20366
Patch2:         PackageKit-libzypp6.patch
# PATCH-FIX-OPENSUSE PackageKit-force-pm-utils.patch dominique-obs@leuenberger.net -- force detection of pm-utils to true (we have a way too old pm-utils package)
Patch3:         PackageKit-force-pm-utils.patch
# PATCH-FIX-UPSTREAM PackageKit-BNC543595.patch sreeves@novell.com -- install local files
Patch4:         PackageKit-BNC543595.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
PreReq:         python-base = %{py_ver}
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%endif

%description
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package -n ruck
License:        GPLv2+
Summary:        Ruck is a rug-like interface for PackageKit
Requires:       %{name} = %{version}
Group:          System/Daemons

%description -n ruck
ruck is a rug-like interface for PackageKit ('rug' is the command-line
interface for rcd, red carpet daemon.)

%package devel
License:        GPLv2+
Summary:        Needed include files and libraries for development
Requires:       %{name} = %{version}
Requires:       glib2-devel libpackagekit-glib12-devel NetworkManager-devel sqlite3-devel
Group:          System/Daemons

%description devel
This package contains all necessary include files, libraries,
configuration files and development tools (with manual pages) needed to
compile and link applications using PackageKit.

%package -n libpackagekit-glib12
License:        GPLv2+
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}

%description -n libpackagekit-glib12
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package -n libpackagekit-glib12-devel
License:        GPLv2+
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}
Requires:       libpackagekit-glib12 = %{version}
Requires:       glib2-devel NetworkManager-devel sqlite3-devel

%description -n libpackagekit-glib12-devel
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package -n libpackagekit-qt12
License:        GPLv2+
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}

%description -n libpackagekit-qt12
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package -n libpackagekit-qt12-devel
License:        GPLv2+
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}
Requires:       libpackagekit-qt12 = %{version}
Requires:       libqt4-devel

%description -n libpackagekit-qt12-devel
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package doc
License:        GPLv2+
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}

%description doc
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%lang_package
%prep
%setup -q
%patch -p0
%patch1 -p1
%patch2
%patch3 -p1
%patch4 -p1

%build
# uncomment out the following line if autotools should be run again (i.e.,
# one of the patches has modified configure.in/ac or a Makefile.am).
autoreconf -f -i
%configure \
	--disable-static \
	--enable-zypp \
	--with-default-backend=zypp \
	--with-security-framework=polkit \
	--with-mozilla-plugin-dir=%{_libdir}/browser-plugins \
	--disable-cron
%__make %{?jobs: -j%jobs}

%install
%makeinstall
mv %{buildroot}%{_sysconfdir}/bash_completion.d/pk-completion.{ba,}sh
find %{buildroot} -type f -name "*.la" -exec %{__rm} -fv {} +
%find_lang %{name}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -n libpackagekit-glib12 -p /sbin/ldconfig

%post -n libpackagekit-qt12 -p /sbin/ldconfig

%postun -n libpackagekit-glib12 -p /sbin/ldconfig

%postun -n libpackagekit-qt12 -p /sbin/ldconfig

%files lang -f %{name}.lang

%files 
%defattr(-,root,root)
%dir %{_sysconfdir}/PackageKit
%dir %{_datadir}/PackageKit
%dir %{_datadir}/PackageKit/helpers
%dir %{_datadir}/PackageKit/helpers/test_spawn
%dir %{_libdir}/packagekit-backend
%dir %{python_sitelib}/packagekit
%dir %{_libdir}/pm-utils
%dir %{_libdir}/pm-utils/sleep.d
%dir /var/lib/PackageKit
%{_sysconfdir}/bash_completion.d/pk-completion.sh
%{_sysconfdir}/PackageKit/PackageKit.conf
%{_sysconfdir}/PackageKit/Vendor.conf
%{_sysconfdir}/PackageKit/CommandNotFound.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit.conf
%{_sysconfdir}/profile.d/PackageKit.sh
%{_bindir}/packagekit-bugreport.sh
%{_bindir}/pk-debuginfo-install
%{_bindir}/pkcon
%{_bindir}/pkmon
%{_bindir}/pkgenpack
%{_libdir}/pm-utils/sleep.d/95packagekit
%{_libdir}/packagekit-backend/*.so
%{_libexecdir}/pk-command-not-found
%{_libexecdir}/pk-gstreamer-install
%{_libdir}/gtk-2.0/modules/*
%{_libdir}/browser-plugins/packagekit-plugin.so
%{_libdir}/polkit-1/extensions/libpackagekit-action-lookup.so
%{python_sitelib}/packagekit/*
%{_sbindir}/packagekitd
%{_datadir}/mime/packages/packagekit-*.xml
%{_datadir}/PackageKit/helpers/test_spawn/search-name.sh
%{_datadir}/PackageKit/pk-upgrade-distro.sh
%{_datadir}/polkit-1/actions/org.freedesktop.packagekit.policy
%{_datadir}/dbus-1/system-services/*
%doc %{_mandir}/man?/*.*
%verify(not md5 size mtime) /var/lib/PackageKit/transactions.db

%files doc
%defattr(-,root,root)
%{_datadir}/PackageKit/website

%files -n ruck
%defattr(-,root,root)
%{_bindir}/ruck
%{_datadir}/ruck

%files devel
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/PackageKit
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/backend
%{_includedir}/PackageKit/backend/pk*.h

%files -n libpackagekit-glib12
%defattr(-,root,root)
%{_libdir}/libpackagekit-glib.so.*

%files -n libpackagekit-glib12-devel
%defattr(-,root,root)
%{_libdir}/libpackagekit-glib.so
%{_libdir}/pkgconfig/packagekit-glib.pc
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/packagekit-glib
%{_includedir}/PackageKit/packagekit-glib/*.h

%files -n libpackagekit-qt12
%defattr(-,root,root)
%{_libdir}/libpackagekit-qt.so.*

%files -n libpackagekit-qt12-devel
%defattr(-,root,root)
%{_libdir}/libpackagekit-qt.so
%{_libdir}/pkgconfig/packagekit-qt.pc
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/packagekit-qt
%{_includedir}/PackageKit/packagekit-qt/*
%dir %{_datadir}/cmake
%{_datadir}/cmake/Modules/*

%changelog
* Thu Oct  8 2009 sreeves@novell.com
- Fix bnc#543595 - install local files.
* Wed Aug 12 2009 dominique-obs@leuenberger.net
- Use new python macros on openSUSE <= 11.1
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Mon Aug  3 2009 dominique-obs@leuenberger.net
- Update to version 0.5.1:
  + Security reviewd: see link for details
    http://cgit.freedesktop.org/packagekit/plain/docs/security.txt
  + PackageKit's proxy support got a major tuneup, see link
    http://cgit.freedesktop.org/packagekit/plain/docs/setting-the-proxy.txt
  + Detection of security updates to shared libraries in use
  + Lots of bugfixes and a few new configure options
  + Updated translations
  + New Features:
  - Check for pm-utils installation if pm-utils option is enabled
  - Adding 'strict' option to configure to add -Werror
    (auto-enabled in repo)
  - Add networkmanager, connman and service-packs options to
    prevent auto-magic deps
  - Add functionality to detect when shared libraries are being
    used that are updated in a security update
  - Limit the maximum number of requests a given user is able to
    request and queue
  - Limit the number of packages that can be processed by the
    daemon in one method call
  - Add a security document after some initial review
  - glib: Add a PkClientPool object to better manage async
    clients
  - Add uid and session to proxy mapping in the database
  - Add a document explaining how we map the proxy internally
  - Add arch filtering to the generic python filter helper
  - debuginfo-install: handle untrusted packages
  - Detect when the PolicyKit authentication was timed out, and
    show this as a message to the user
  - cnf: Search other directories that commands can be found in,
    not just /usr/bin
  - cnf: Show status rather than just hanging for a long time
    without any output
  - cnf: Handle SIGINT in command-not-found
  - glib: expose the some new properties on the PkClient object
- Add PackageKit-force-pm-utils.patch. Our pm-utils package
  does not provide a *.pc file and as such can't be detected. Also
  enable the autoreconf for this patch.
* Fri Jul 31 2009 vuntz@novell.com
- Remove Obsoletes for libpackagekit-{gtk,qt}11.
* Sun Jul 19 2009 dominique-obs@leuenberger.net
- Update to version 0.5.0:
  + Notes:
  - This is the first release of the unstable 0.5.x branch,
    which depends on PolicyKit1, rather than the old PolicyKit.
  - The API has been slightly changed for PolicyKit1 support and
    new functionality; see the interface for more details.
  + New Features:
  - Add ConnMan networking stack support
  - Add force parameter to refresh-cache function in python
    backends
  - Improve SearchFile, SearchName, SearchDetails and SearchGroup
    specifications
  - Port to polkit1, and remove a lot of the complexity with the
    old PolicyKit code
  - Rewrite the networking code to derive from a common
    PkNetworkStack object
  - Enable nice build output on automake1.11
  - Make GIO a hard build dependency and remove the conditional
    code
  - Enable the warning GSEAL_ENABLE and fix up build failures
  - Add a trusted parameter to InstallPackages, UpdatePackage and
    UpdateSystem
  - Add a convenience Exit enum, NEED_UNTRUSTED, and set for the
    correct error enums
  - Don't hardcode the StateChangedTimeout's and add them to the
    config file
  - Add a PolicyKit action lookup so we can do the translated
    authentication from the server
  - Populate some initial PolkitDetails when we ask PolicyKit1
    for authorization
  - Add pk-debuginfo-install functionality as a new contrib
    project
  - Create a PkRequireRestartObj type
  + Updated translations.
  + The soname for libpackagekit-{gtk,qt} was bumped, so rename the
  packages and obsolete the old ones.
  + Add polkit-devel BuildRequires.
  + Remove PolicyKit-devel BuildRequires.
* Sun Jul 19 2009 coolo@novell.com
- fix use of %%_libexecdir
* Tue Jun  2 2009 vuntz@novell.com
- Update to version 0.4.8:
  + New Features:
  - Add a PK_CHECK_VERSION macro
  - Add three properties on the main interface with the runtime
    daemon versions
  - Export version-* properties in PkControl
  - Add a prototype backend interface definition as a
    tech-preview
  - Don't use --enable-developer, instead use DeveloperMode set
    in the config file
  - Create a shared pk_backend_bool_to_text() helper to reduce
    copy&paste
  + Bugfixes:
  - Make PkNetworkUnix watch /proc/net/route and check for
    network state changes
  - Ensure we send ::Finished() even when the dispatcher closed
    normally
  - Ensure we disconnect ::Finished() when we unref a transaction
    in the PkTransactionList
  - Emit ::Destroy() in the dispose phase to ensure it is proxied
    to the bus
  - Fix SuggestDaemonQuit to exit using the mainloop
  - Fix the logic of when ::RestartSchedule is used
  - Don't cache the update detail anymore, we can't ensure
    cache-consistency
  - Don't try to clear the cancel timeout if it fires again on
    PkClient finalise
  - Only return the newest available package for the
    command-not-found tool
  - Check earlier if we don't have libarchive when creating a
    service pack
  - Be more paranoid when parsing ISO8601 dates from the backend
    to avoid a critical error
  - Fix a small memory leak when we check for session restarts
  - When we search for the file list after an install or upgrade,
    use the local package
  - Don't crash the session program if we are connecting to an
    old packagekitd with a new libpackagekit
  - Protect a few function in pk-package-ids.c from NULL input
  + Non-zypp backends updates.
  + Updated translations.
- Add libarchive-devel BuildRequires for service packs.
- Add docbook-utils BuildRequires for man pages.
* Wed May  6 2009 vuntz@novell.com
- Build against mozilla-xulrunner191 on openSUSE > 11.1.
* Tue May  5 2009 vuntz@novell.com
- Update to version 0.4.7:
  + Added media change support in a few backends (not zypp, though)
  + Updated translations.
  + New Features:
  - Add DOAP file to the project
  - Add a method to disable SIGKILL in PkSpawn
  - Added media change support to -qt lib
  - Added support to recognize Debian version
  - Add media change request support to the spawned backend
  - Allow a spawned backend to opt-out of the SIGKILL cancel
    process
  - Remove job_count.dat, it's not used anymore
  - Remove the DBus backend. The only user
  - New signal, media-change-required (daemon and glib)
  + Bugfixes:
  - Add support for /etc/lsb-release to pk_get_distro_id(). Fixes
    fdo#21550
  - Allow the dummy security model to authorise actions
  - Check the transaction totals are not zero before using them.
    Fixes rh#495849
  - Correct the allow-cancel duplicate logic
  - Correct the logic for SetSynchronous without returning in the
    duplicate check
  - Display Message()'s in pkcon rather than just ignoring them
  - Don't filter out 'Presto' unconditionally from the stdout to
    fix rh#496091
  - Fix compile on FreeBSD
  - pkgenpack man page still pointed to pk-generate-package-list
  - pk_package_ids_check is not valid when the packageids array
    is zero length
  - Remove the NameOwnerChanged handler when we unref
    PkConnection to prevent a bug in client applications
  - Still use command not found for commands one character long
  - To fix spawned backends, http_proxy has to be a URI not a
    bare proxy. Fixes rh#491859
  - Use the new session interface for installing Fontconfig
    resources and GStreamerCodecs
  + Libraries:
  - PackageKit-Qt: Add support for cancel-foreign PolicyKit
    action
  - Packagekit-Qt: Changed License to QString in package
  - PackageKit-Qt: Drop support for building with CMake. The
    module for the lib is still included
  - Packagekit-Qt: Switch some QSets to QFlags, because
    keyToValue() returns int not qint64
  - Packagekit-Qt: Adds registration to MessageType
  - Packagekit-Qt: Fixed Message enum the same way as Filter and
    Action
  - Packagekit-Qt: Removed a useless resolv method
  - Packagekit-Qt: Renamed various enums to have a prefix to
    avoid conflicts
  - Python: Add two further helpers get_package_id and
    split_package_id
  - Python: Add two helpers format_string and text_to_bool to the
    backend module
  + Non-zypp backends updates.
- Update PackageKit_release.patch: drop the part that is not needed
  anymore.
- Pass --disable-cron to configure (this is what the old part of
  PackageKit_release.patch used to do).
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 0.4.6:
  + Notes:
  - Lots of profiling lead to many speed increases, most at cold
    startup
  - Fixes to command not found for bash 4.0
  - Experimental aptcc backend merged, which does not use
    python-apt at all
  + New Features:
  - Add a config variable to be able to turn off the updates
    cache for debugging
  - Warn if there are any pending sources at the end of each self
    test section
  + Bugfixes:
  - Make the GTK+ module resident to fix crash when session is
    reloaded
  - Only check the transaction database once at startup, to
    reduce 25ms off the cold start
  - Don't force SQLite to do fsync in PkTransactionDb, to reduce
    our cold cache start by 700ms
  - Don't store the job-id in a separate file, as this adds 37ms
    to each generate method
  - Don't allow pk_backend_error_timeout_delay_cb() to be called
    more than once
  - Escape the ';' in the UpdateDetail:ChangeLog signal so we can
    send more than one line
  - Use the bash 4.0 command_not_found function name to fix new
    versions of bash
  - When we get the update detail in pkcon, resolve not-installed
    packages. Fixes rh#492004
  - glib: Don't hardcode /var/lib/PackageKit for the desktop
    database
  - qt: Check for QtXml in configure and use the correct deps in
    the packagekit-qt pc file
  - qt: Made Transaction::cancel() a slot
  - qt: Updated almost all the enums
  + Non-zypp backends updates.
  + Updated translations.
* Tue Mar 10 2009 vuntz@novell.com
- Update to version 0.4.5:
  + New features:
  - Enable ptrace() on libpackagekit, it was always a bandaid
  - python: add a PkError exception class to better handle nested
    errors
  - Clarify the spec that a Details::size value of zero of a
    non-installed file indicates it's in cache and doesn't need
    to be downloaded
  - Remove the app-install feature, it's now it's own project
  - Allow backends to enable simultaneous mode to do actions in
    parallel
  - Updated QPackageKit soname version to 0.4.1
  - Made package methods const and added an operator== to package
  + Bugfixes:
  - When we reset a PkClient, get a new reference to a
    PkPackageList
  - Ensure we set PK_STATUS_ENUM_FINISHED when we return cached
    updates
  - glib: When we cancel a transaction, don't overwrite the role
    as Cancel
  - Fix the self test by using actual provides in the catalog
    file
  + Non-zypp backends updates.
  + Updated translations.
* Fri Feb 27 2009 mboman@suse.de
- Update to version 0.4.4:
  + New Features:
  * Add a new method GetDaemonState to the main interface to help
    debugging on live systems
  * Print the daemon state when using pkmon in verbose mode
  * Add a draft standard for application install metadata
    handling
  * Add a pk-app-install binary for manipulating the sqlite
    cache
  * PackageKit-Qt: Sync API for RequireRestart
  * PackageKit-Qt: Add support for application filter
  * PackageKit-Qt: Add a searchFromDesktopFile method
  + Bugfixes:
  * Updated documentation with UseSyslog parameter
  * Fix for the updates and obsoletes delimiter
  * Make the dbus policy more fine grained
  * Fix compile failure with gcc-4.4.0 and old versions of glib2
  * If we fail to exit from the dispatcher, make sure we cleanup
    the poll as the child check isn't going to be run
  * The QT lib now depends on QtSql, so add this to the
    configure
  * Fix up resolve in pkcon and from libpackagekit-glib
  * Don't dereference a NULL pointer in pk_console_resolve()
    which can be done using pkcon list-install
  * Don't use an local error in pkcon list-install else we'll
    fail to free it, and it's non-fatal
  * PackageKit-Qt: Handle daemon errors more gracefully
  * PackageKit-Qt: Add a getLastError method to get the last
    daemon error
  * PackageKit-Qt: Add missing implementation for uid and
    cmdline
  * Packagekit-Qt: Fix to make what provides work
  + Backends (only zypp related listed. See NEWS for all others):
  * zypp: Fix up virtual callback methods
  + Translation updates
- Remove duplicate BuildRoot
- Remove AutoReqProv since it's default
- Remove Requires since it's supplied automatically
- Don't use autoreconf -f -i
- Removed BuildRequires fontconfig-devel, glib2-devel,
  libpixman-1-0-devel, pango-devel
- Replace %%setup -q -n %%{name}-%%{version} with %%setup -q
- Move gtk-doc to -devel
- Upstreamed PackageKit-libzypp6.patch (fdo#20366)
* Fri Feb 27 2009 ro@suse.de
- fix build with current libzypp:
  isToBeUninstalledDueToObsolete is gone
* Sat Feb 14 2009 vuntz@novell.com
- Merge .changes entry about sr@latin from factory (was already
  done on Feb 2 in GNOME:Factory)
* Wed Feb 11 2009 ro@suse.de
- use sr@latin instead of sr@Latn
* Sun Feb  8 2009 hfiguiere@suse.de
- Add libpixman-1-0-devel to the buildrequires for Factory
* Thu Feb  5 2009 mboman@suse.de
- Update to version 0.4.3:
  + New Features:
  * Add new packagekit-sharp binding
  * Allow the user to specify a complete output file name with
    pkgenpack
  + Bugfixes:
  * Repair pkcon resolve argument parsing
  * Remove dep on python-sqlite2 and use internal python sqlite
    Fixes rh#481270
  * Dist the website in the tarball correctly, and install in
    the -docs subpackage
  * Fix up a translation in pkcon when we fail to get the time
    since action
  * Add an option to configure so we can specify a different
    directory. Fixes fd#19884
  * Remove bare send_interface lines in the DBus rules
  * Add _get_info, get_id and _get_summary for PkPackageObj
  * Removed -Wswitch-enum from compiler switches
  * Don't print an internal error if we don't pass an argument
    to --package
  + Backends:
  * alpm: Change source code to be more standards compliant
  * smart: Don't filter *-testing channels as development
  * yum: Get some useful text when yum passes us an invalid
    message. Fixes fd#19781
  * zypp: Remove GROUP_ENUM_UNKNOWN as engine returns empty if
    included in list
  + Translation updates
- Remove PackageKit-browser-plugin.patch. Mozilla plugin directory
  can now be specified during configure
- Create a -doc subpackage with the website content.
* Mon Feb  2 2009 mboman@suse.de
- Update to version 0.4.2:
  + New Features:
  * Use the detail field as a package_id so we can propogate
    useful information to clients
  * Add an entry to the config file to turn on time estimation,
    and enable it by default
  * Remove the udev helper from PackageKit now the core
    functionality is in udev itself
  + Bugfixes:
  * If a script is still running and PkSpawn is asked to unload,
    be more careful about disconnecting timers
  * Ensure we call the backend finalise method when the daemon
    times out
  * Ensure we send the correct network state with the new
    changed codepath
  * Don't leak directory on commit-failed error path
  * Set the setup signal after we've connected the backend to
    the transaction so it is emitted for clients
  * Don't emit allow-cancel over and over if it is the same
    state as before
  * A *-testing repo is not a development repo, so should not
    be filtered by default. Fixes rh#480135
  * Remove the obsolete specific vendor_url for each PolicyKit
    authorisation and rely on the packagekit homepage.
    bnc#450349
  * Only try to exit the spawned backend if it is running, which
    removes an error warning if it is already closed
  * Clear the backend store in pk_backend_reset() as we can't
    guarantee the ordering for cancelled jobs
  * Fix compile of the browser plugin with newer versions of
    xulrunner
  + Backends:
  * dummy: Output a load of messages we can play with in GUI
    tools
  + Translation updates
- Modify PackageKit_release.patch to follow upstream with
  LT_CURRENT/LT_REVISION
* Sun Feb  1 2009 vuntz@novell.com
- Enable ruck and put it in its own package.
- Consolidate removal of static libraries and "la" files.
- Fix directory for browser plugin.
- Remove sr@Latn hack.
* Mon Jan 12 2009 mboman@suse.de
- Update to version 0.4.1:
  + Use NetworkManager to get the network device type for session
    policy decisions
  + Resolve() is now case sensitive
  + Adapted pk-upgrade-distro.sh for suse
  + Don't let spawned backends hog the disk by default using ioprio
  + glib: Add a client side timeout monitor so we can set a limit
    on queries
  + glib: Added accessors for PkPackageId
  + Added search file method and search details convinience method
    to packagekit-qt
  + Daemon backend: Separate object creation and running
  + QPackageKit: Revert the threaded polkit as it breaks everything
  + Define a macro directory so we work with newer versions of
    libtool
  + Remove the concept of slow and fast interfaces, since we don't
    actualy know the speed
  + Get the caller (and uid) for all transactions from the GetTid
    method as we cannot get the UID from the non-async methods
  + Clarify that free form text in Details and UpdateDetail is
    formatted to markdown syntax
  + Allow pkcon to resolve all the command line arguments,
    not just the first one
  + Fix the python client library for SearchDetails and SearchFile
    Fixes fdo#19426
  + Make get_packages call GetPackages, not GetUpdates
  + Misc fixes for backends
  + Translation updates
* Sat Jan  3 2009 mboman@suse.de
- Update to version 0.4.0:
  + Now integrates with BASH suggesting replacements and offering
    to install missing packages.
  + Now integrates with Pango using a gtk-module to install missing
    fonts.
  + Much tighter security model and new audit logging framework.
  + Lots of new, untested, code so probably not a good idea for
    stable distributions.
  + qt: Add GetMimeTypes to Qt bindings (Adrien BUSTANY)
  + Add a PolicyKit rule so other users can cancel tasks from other
    users
  + Add command-not-found functionality to PackageKit
  + Add a various possible replacement models to command not found
  + Use a config file to control the actions we take on
    command-not-found
  + Add a Pango module that can be used to automatically install
    missing fonts
  + Set the environment variable NETWORK for the spawned backends
  + Get the lang and network state in the generic spawned backend
  + pk-generate-package-list is not used any more, remove from the
    man page
  + Check the sender for SetLocale and the UID for Cancel
  + Fix a small memory leak in pk_backend_package
  + Make a lot of new strings translatable in pkcon
  + Add the DBus interface now that the default send interface is
    now deny
  + Allow all clients to send to all interfaces of the server.
    Fixes DBus introspection
  + glib: Don't emit a critical warning if a desktop file contains
    an error
  + qt: Fix make check with the threaded Polkit client
  + qt: Fix the old transactions, and upgrade to new API
  + qt: Fixed freezed UI while waiting for blocking
    polkit_auth_obtain call
  + poldek: Implement get_mime_types
  + Misc fixes for the yum backend
  + Translation updates
* Tue Dec  9 2008 sreeves@suse.de
- Move to 0.3.12 - Bugfix only release
    Fix a memory leak when checking transactions
    Dont emit a critical warning if g_desktop_app_info returns an error
    Remove incorrect reference to pk-generate-package-list in man page
    Fix to allow send on dbus interface - needed when pending dbus update
    changes that default to deny (CVE-2008-4311)
  Add method to call SuggestDaemonQuit as part of fix for BNC#383261
* Mon Nov 24 2008 sreeves@suse.de
- Move to 0.3.11
    Pull in updated translation files (.po)
    Bugfix - enable translations in all client tools
* Fri Nov 21 2008 sreeves@suse.de
- Keep the PolkitCaller to allow repeat queries faster
  Do not abort update when a repo has problems
  Add user and cmdline to the Transaction signal
  Add syslog logging to keep record of obtained auths
  Fix crash when pk-control is referenced after it's finalized
  Handle filters in what-provides
* Mon Nov 17 2008 sreeves@suse.de
- Fix the installSignature method to understand repo keys
  In pkcon update - don't attempt to do what-provides if it's not implemented
  Fix restart flag handling
  Fix segfault in the error path when files could not be installed with pkcon
  Move to 0.3.10
* Fri Nov  7 2008 sreeves@suse.de
- Add updated translation files
  Fix get_distro_upgrades
  Fix error on reuse of TIDS causing timeout on auth
  Set status when installing a signature
  Fix for BNC #431940 - packagekitd locks system management
* Tue Oct 28 2008 coolo@suse.de
- split out lang package
- do not require all of python
* Thu Oct 23 2008 sreeves@suse.de
- Split up package according to shared library policy
- Move to 0.3.9
    (from the release news...)
    Merge in QPackageKit QT library
    This release brings many, many new and updated translations.
    Print a message when we try to install a package that is already installed
    glib: Send a more precise error code when we fail a transaction
* Mon Oct 13 2008 sreeves@suse.de
- Move to 0.3.7  Bug fix release
    Fix for BNC #433889 - PackageKit crash
    Fix for BNC #402372  - reinstalls all local packages
    Don't crash the client tools if PkControl launches the daemon
    Register the mime-type x-package-list as we are using it for service packs
  Fix for BNC #422176 - non useful error notifications
* Wed Oct  8 2008 sreeves@suse.de
- Move to 0.3.6  Bug fix release
  (from the release news...)
  Remove items about to be run from the transaction list without crashing
  Make the GStreamer helper use proper GStreamer exit codes
  Set the default timeout to the maximum as dbus-glib times out after 25 seconds
  Fix a theoretical hang where we could try to reuse a exiting instance
  Unlock the backend before we send finished on ErrorCode as unlocking may take some time
  When we exit the dispatcher with 'exit' ensure we unlock if locked
  If the refresh cache fails, don't do the PkRefresh actions
  If a caller does GetTid and then crashes, the daemon should timeout the transaction
  Use environent variables rather than static instance variables to hold the debugging state,
  so that we can get access to libpackagekit debugging when linked in
  When we query the progress of a transaction, use the cached transaction values rather
  than querying the backend, as it might not be the transaction actually running
  We are allowed to cancel queued (and not running) transactions
* Mon Sep 29 2008 sreeves@suse.de
- Move to 0.3.5
    Finish support for hardware driver install - FATE #303677
* Tue Sep 23 2008 sreeves@suse.de
- Move to 0.3.4
    Start of support for hardware driver install - FATE #303677
* Fri Sep 12 2008 sreeves@suse.de
- Move to 0.3.2
    Fix udev script invocation.
    support for dispatcher
    Optionally auto-run pk-generate-package-list and pk-import-desktop
* Tue Sep  9 2008 ro@suse.de
- use py_sitedir macro in filelist
* Sun Aug 31 2008 sreeves@suse.de
- Move to 0.3.1
    distro upgrade support
* Fri Aug 22 2008 sbrabec@suse.cz
- Fixed invalid locale names.
* Mon Aug 18 2008 schwab@suse.de
- Fix name of completions file.
* Mon Aug 18 2008 sreeves@suse.de
- Move to pre-release of 0.3.0
    start of service pack and distribution upgrade support.
* Wed Jul 30 2008 coolo@suse.de
- getting it to compile (brute force)
* Thu Jul 17 2008 sreeves@suse.de
- Move to 0.2.3
    Add PkCatalog for installing catalogs
    Add source filter support.
    Allow adding and removing multiple packages at one time with pkcon
* Wed Jul  2 2008 sreeves@suse.de
- Match libzypp API change
* Wed Jun 25 2008 sreeves@suse.de
- Fix for BNC#389415 - Use generic PolicyKit
  More work on BNC#398391 - return all restart_suggested patches
    instead of one at a time.
* Tue Jun 17 2008 sreeves@suse.de
- Fix for BNC#398391 -  only show patches
    swampid for this - 18244
* Mon Jun  9 2008 sreeves@suse.de
- Fix for BNC#398367 -  dont include recommends
  Fix for BNC#398380 -  init keyring
* Sat May 24 2008 sreeves@suse.de
- Include updates from the openSUSE branch
    Update to match changed libzypp API
    BNC #390339 - rotate logs
    BNC #392435 - poor dialog
    BNC #392064 - confusing popup notifications
    BNC #390929 - crash
* Sat May 24 2008 aj@suse.de
- Follow zypp changes.
* Mon May 12 2008 sreeves@suse.de
- Fix for BNC #388165 - mark some files with verify (not)
* Fri May  9 2008 sreeves@suse.de
- Move to official upstream 0.2.1 release.
    Fix to accept multiple license prompts
    Handle signed repos - import keys.
* Thu May  1 2008 sreeves@suse.de
- Change packagekit daemon timeout to 15 seconds - BNC #374043
* Mon Apr 28 2008 sreeves@suse.de
- Move to libzypp 4.15
  Fix BNC#378342 - gpk-update-viewer crash
* Sun Apr 27 2008 coolo@suse.de
- replace deprecated zypp calls
* Thu Apr 17 2008 schwab@suse.de
- Fix configure script.
* Mon Apr 14 2008 sreeves@suse.de
- Update to version 0.2.0
    new dbus model
    change packagekitd timeout to 120 seconds
* Fri Apr  4 2008 sreeves@suse.de
- Update to version 0.1.11
    Fix parse errors on bad markup
    Emit verbose messages on dependency failures
    Fix crash when getting dependencies.
* Thu Mar 27 2008 sreeves@suse.de
- Update to version 0.1.9.2
    Mem leak fixes
    Fix multiple popups on install
    Fix parse error causing missing name
* Thu Mar 13 2008 sreeves@suse.de
- Update version. Includes working "update system"
* Wed Mar  5 2008 sreeves@suse.de
- keep up with the new libzypp API
* Fri Feb 29 2008 coolo@suse.de
- make it compile again with new libzypp API
* Thu Feb 28 2008 sreeves@suse.de
- Update to ~0.1.9 (git pull on 2/28) release (with the policy file intltool
  calls patched out temporarily until we get a newer intltool in factory.
  add --enable-zypp to the configure line
* Tue Jan  8 2008 btimothy@suse.de
- Upgraded to 0.1.5 (released upstream).
- Added "--with-security-framework=polkit" to the configure.
* Mon Dec 10 2007 btimothy@suse.de
- Added extra directories to the %%files section so it'll build in
  factory.
* Fri Dec  7 2007 btimothy@suse.de
- Update to version 0.1.5git20071207a which does rudimentary
  package dependency checking.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203f to fix a compiler error.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203e which includes installed
  packages when getting the description of a package.
  pk-application uses this when you highlight an installed package.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203d which includes installed
  packages when searching by name in addition to packages found in
  configured repositories.
* Mon Dec  3 2007 btimothy@suse.de
- Removed "= 1.1.3" for dbus-1 Requires line.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203c.
- Added a couple new entries to the %%files section for
  pk-completion.bash and packagekit-bugreport.sh.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203b.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203a.
* Fri Nov 30 2007 btimothy@suse.de
- Update to version 0.1.5git20071130a (remove the dash).
* Fri Nov 30 2007 btimothy@suse.de
- Update to version 0.1.5-20071130a taken from git master.
* Tue Nov 20 2007 btimothy@suse.de
- Added a new tar.bz2 file to do rudimentary package install.
* Mon Nov 19 2007 btimothy@suse.de
- Adjusted to install the PackageKit.service for dbus into the
  /usr/share/dbus-1/system-services directory.  This is what
  allows the system activation stuff to work.
* Fri Nov 16 2007 btimothy@suse.de
- Grabbed new PackageKit-0.1.4.tar.bz2 built from this morning's
  git repo (has stubbed-out zypp backend).
- Configure so zypp is the default backend.
* Thu Nov 15 2007 jpr@suse.de
- Reduce requires, most of them are automatic
- Remove gcc from BuildRequires its automatic
* Thu Nov 15 2007 jpr@suse.de
- fix build on 64bit by not hardcoding "lib"
- make description a little more manageable
- use %%{py_requires} instead of hardcoded python
- use "devel" instead of "-n Package-devel" because adding the
  Package- partis automatic
* Wed Nov 14 2007 btimothy@suse.de
- Revert the last change and hardcode /usr/share because otherwise
  it gets installed to /dbus-1/services.  We'll have to figure this
  one out later.
* Wed Nov 14 2007 btimothy@suse.de
- Use %%{_datadir} instead of /usr/share when specifying where
  the dbus-1/services directory is at configure.
* Wed Nov 14 2007 btimothy@suse.de
- Specify /usr/share/dbus-1/services at configure so we don't have
  to modify the make install step.
* Tue Nov 13 2007 btimothy@suse.de
- init
